import _extends from "@babel/runtime/helpers/esm/extends";
import partial from 'lodash.partial';
import { query } from './query';
import { withAdapter } from './with-adapter';
import { withEncryption } from './with-encryption';
export var readModel = function readModel(givenEventsContext, _readModel) {
  var context = _extends({}, givenEventsContext, {
    readModel: _readModel
  });

  return {
    query: partial(query, context),
    withAdapter: partial(withAdapter, context),
    withEncryption: partial(withEncryption, context),
    then: function then() {
      throw Error("Incomplete BDD test configuration! Please, provide a query.");
    }
  };
};
//# sourceMappingURL=read-model.js.map