import { makeAssertions } from './make-assertions';
export var mockCommandImplementation = function mockCommandImplementation(context, aggregateName, type, implementation) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Command implementation cannot be mocked if the test was executed.");
  }

  environment.mockCommandImplementation(aggregateName, type, implementation);
  return makeAssertions(context);
};
//# sourceMappingURL=mock-command-implementation.js.map